<?php 

session_start();
// 设置忽略客户端断开连接
ignore_user_abort(true);

// 设置脚本最大执行时间为无限（可选）
set_time_limit(0);

if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
    // 获取 'X-Forwarded-For' 中的第一个 IP 地址
    $ipArray = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']);
    $_SERVER['REMOTE_ADDR'] = trim($ipArray[0]); // 更新 REMOTE_ADDR
} elseif (isset($_SERVER['HTTP_CLIENT_IP'])) {
    // 如果 'X-Forwarded-For' 不存在，则尝试使用 'HTTP_CLIENT_IP'
    $_SERVER['REMOTE_ADDR'] = $_SERVER['HTTP_CLIENT_IP'];
}



